GeminiGemini
Demo environmentGet API key
  • Overview
  • Crypto Trading
  • Prediction Markets
  • Perpetuals
  • Stocks
  • API Reference
  • SDKs & Tools
Changelog
Gemini logoGemini logo

© 2026 Gemini Space Station, Inc.

Overview
Spot
    OverviewGet started
    Orders API
      Order Placement & Management
      Order Status & Trade History
      Volume & Account Tiers
        Get Trading VolumeGet Notional Trading Volume
    Market Data API
    Fund Management API
    Instant Orders API
    WebSocket API
    FIX API
Margin
    Overview
    Margin REST API
      Get Margin Account SummaryGet Margin Interest RatesPreview Margin Order Impact
Staking
    Overview
    Staking REST API
      List Staking BalancesStake Crypto FundsUnstake Crypto FundsList Staking Event HistoryList Staking RatesList Staking Rewards
Clearing
    Clearing REST API
      Clearing Orders
      Broker & Trade Operations

Get Notional Trading Volume

TradingOrdersGet Notional Trading Volume

Get Notional Trading Volume

POSThttps://api.gemini.com/v1/notionalvolume

Get the notional 30-day trading volume and current fee tier for your account.

POSTv1/notionalvolume
curl --request POST \
  --url https://api.gemini.com/v1/notionalvolume \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/notionalvolume",
  "nonce": "<nonce>"
}
'

Roles

The API key you use to access this endpoint must have the Trader or Auditor role assigned. See Roles for more information.

The OAuth scope must have history:read assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The API endpoint pathExample: /v1/notionalvolume
noncestring | integer·required
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group. Specifies the account on which you intend to place the order. Only available for exchange accounts.Example: primary
symbolstring
Optional. The symbol to get fee promotions or specific fee schedule rates for.Example: btcusd
Example request body
{
  "request": "/v1/notionalvolume",
  "nonce": "<nonce>"
}

Responses

The notional volume

datestring (date)
Example: 2020-06-02
last_updated_msinteger
Example: 1591084414622
web_maker_fee_bpsinteger
Example: 25
web_taker_fee_bpsinteger
Example: 35
web_auction_fee_bpsinteger
Example: 25
api_maker_fee_bpsinteger
Example: 10
api_taker_fee_bpsinteger
Example: 35
api_auction_fee_bpsinteger
Example: 20
fix_maker_fee_bpsinteger
Example: 10
fix_taker_fee_bpsinteger
Example: 35
fix_auction_fee_bpsinteger
Example: 20
notional_30d_volumestring
Example: 1000000
notional_1d_volumearray
notional_1d_volume[].datestring
UTC date in `yyyy-MM-dd` format
notional_1d_volume[].notional_volumestring (decimal)
Notional volume value in USD for this single day
api_notional_30d_volumestring
Example: 750000
fee_tierobject
fee_tier.tierstring
Example: 0bps
fee_tier.api_maker_fee_bpsinteger
Example: 0
fee_tier.api_taker_fee_bpsinteger
Example: 10
Example Responses
{
  "web_maker_fee_bps": 25,
  "web_taker_fee_bps": 35,
  "web_auction_fee_bps": 25,
  "api_maker_fee_bps": 10,
  "api_taker_fee_bps": 35,
  "api_auction_fee_bps": 20,
  "fix_maker_fee_bps": 10,
  "fix_taker_fee_bps": 35,
  "fix_auction_fee_bps": 20,
  "notional_30d_volume": 150,
  "last_updated_ms": 1551371446000,
  "date": "2019-02-28",
  "notional_1d_volume": [
    {
      "date": "2019-02-22",
      "notional_volume": 75
    },
    {
      "date": "2019-02-14",
      "notional_volume": 75
    }
  ]
}
PreviousGet Trading VolumeNextWrap Order